<?php
namespace Uiharu;

interface IHasMediaInfo extends ILookupResult {
    function getConfidence(): float;

    function isMedia(): bool;
    function isImage(): bool;
    function isVideo(): bool;
    function isAudio(): bool;

    function hasDimensions(): bool;
    function getWidth(): int;
    function getHeight(): int;

    function hasAspectRatio(): bool;
    function getAspectRatio(): string;

    function hasDuration(): bool;
    function getDuration(): float;

    function hasSize(): bool;
    function getSize(): int;

    function hasBitRate(): bool;
    function getBitRate(): int;

    function hasAudioTags(): bool;
    function getAudioTags(): AudioTags;

    function hasMediaInfo(): bool;
    function getMediaInfo(): object;
}
